#!/usr/bin/env python

from MoinForms import parseMacroArguments, quoteMacroArguments

tests = [
    (u'a=b,b=c', 2),
    (u'"a=b","b=c"', 2),
    (u'"a=""b""",b=c', 2),
    (u'"a=b,b=c"', 1)
    ]

for args, n in tests:
    parsed_args = parseMacroArguments(args)
    print len(parsed_args) == n, n, parsed_args
    quoted_args = quoteMacroArguments(parsed_args)
    parsed_again = parseMacroArguments(quoted_args)
    print parsed_args == parsed_again, parsed_args, parsed_again

# vim: tabstop=4 expandtab shiftwidth=4
